{{- if .Values.serviceAccount.create -}}
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: {{ include "thor-daemon.fullname" . }}
  labels:
{{ include "thor-daemon.labels" . | nindent 4 }}
rules:
- apiGroups: [""]
  resources: ["services", "configmaps"]
  verbs: ["get", "watch", "list", "create", "update", "patch", "delete"]
{{- end -}}
